org.restlet.data

## Class RecipientInfo

- java.lang.Object
- - org.restlet.data.RecipientInfo

    public class RecipientInfo
    extends java.lang.Object

Describes an intermediary via which the call went through. The intermediary is typically a proxy or a cache.
Note that when used with HTTP connectors, this class maps to the "Via" header.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`RecipientInfo()` Default constructor.
`RecipientInfo(Protocol protocol, java.lang.String name, java.lang.String agent)` Constructor.

### Method Summary

Methods
`java.lang.String` `getComment()` Returns the optional comment, typically the software agent name.
`java.lang.String` `getName()` Returns the host name and port number or a pseudonym.
`Protocol` `getProtocol()` Returns the protocol used to communicate with the recipient.
`void` `setComment(java.lang.String comment)` Sets the optional comment, typically the software agent name.
`void` `setName(java.lang.String name)` Sets the host name and port number or a pseudonym.
`void` `setProtocol(Protocol protocol)` Sets the protocol used to communicate with the recipient.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RecipientInfo

    public RecipientInfo()

Default constructor.

#### RecipientInfo

    public RecipientInfo(Protocol protocol,
                 java.lang.String name,
                 java.lang.String agent)

Constructor.

Parameters:
  `protocol` - The protocol used to communicate with the recipient.
  `name` - The host name and port number or a pseudonym.
  `agent` - The software agent.

### Method Detail

#### getComment

    public java.lang.String getComment()

Returns the optional comment, typically the software agent name.

Returns:
  The optional comment.

#### getName

    public java.lang.String getName()

Returns the host name and port number or a pseudonym.

Returns:
  The host name and port number or a pseudonym.

#### getProtocol

    public Protocol getProtocol()

Returns the protocol used to communicate with the recipient.

Returns:
  The protocol used to communicate with the recipient.

#### setComment

    public void setComment(java.lang.String comment)

Sets the optional comment, typically the software agent name.

Parameters:
  `comment` - The optional comment.

#### setName

    public void setName(java.lang.String name)

Sets the host name and port number or a pseudonym.

Parameters:
  `name` - The host name and port number or a pseudonym.

#### setProtocol

    public void setProtocol(Protocol protocol)

Sets the protocol used to communicate with the recipient.

Parameters:
  `protocol` - The protocol used to communicate with the recipient.